Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.session
Class GraphSession.LoadAllChildrenVisitor

    java.lang.Object
      org.modeshape.graph.session.GraphSession.NodeVisitor<Payload,PropertyPayload>
          org.modeshape.graph.session.GraphSession.LoadNodesVisitor
              org.modeshape.graph.session.GraphSession.LoadAllChildrenVisitor

Enclosing class:
  GraphSession<Payload,PropertyPayload>

    @NotThreadSafe
    protected class GraphSession.LoadAllChildrenVisitor

extends GraphSession.LoadNodesVisitor

A visitor that ensures that all children of a node are loaded, and provides a hook to `post-process the parent`.

Constructor Summary
`protected` | `GraphSession.LoadAllChildrenVisitor()`

Method Summary
`void` | `finish()` Method that should be called after all visiting has been done successfully (with no exceptions), including when no nodes were visited.
`protected void` | `finishParentAfterLoading(GraphSession.Node<Payload,PropertyPayload> parentNode)` Method that is called at the end of the `finish()` stage with each parent node whose children were all loaded.
`boolean` | `visit(GraphSession.Node<Payload,PropertyPayload> node)` Visit the supplied node, returning whether the children should be visited.

Methods inherited from class org.modeshape.graph.session.GraphSession.LoadNodesVisitor
`finishNodeAfterLoading, load`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GraphSession.LoadAllChildrenVisitor

    protected GraphSession.LoadAllChildrenVisitor()

Method Detail

### visit

    public boolean visit(GraphSession.Node<Payload,PropertyPayload> node)

  Visit the supplied node, returning whether the children should be visited.

  Specified by:
    `visit` in class `GraphSession.NodeVisitor<Payload,PropertyPayload>`
  Parameters:
    `node` - the node to be visited; never null
  Returns:
    true if the node's children should be visited, or false if no children should be visited
  See Also:
    `GraphSession.NodeVisitor.visit(GraphSession.Node)`

### finish

    public void finish()

  Method that should be called after all visiting has been done successfully (with no exceptions), including when no nodes were visited.

  Overrides:
    `finish` in class `GraphSession.LoadNodesVisitor`
  See Also:
    `GraphSession.LoadNodesVisitor.finish()`

### finishParentAfterLoading

    protected void finishParentAfterLoading(GraphSession.Node<Payload,PropertyPayload> parentNode)

  Method that is called at the end of the `finish()` stage with each parent node whose children were all loaded.

  Parameters:
    `parentNode` - the parent of the just-loaded children; never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.